

%define release %mkrel 1
%define	modname	sn9c20x
%define	name	dkms-%{modname}
%define	version	20100330
%define date    20100330

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DKMS-ready driver for Microdia webcams
License:	GPL
Group:		System/Kernel and hardware
Source0:	%{modname}-%{date}.tar.gz
URL:		http://repo.or.cz/r/microdia.git
Requires(pre):	dkms
Requires(post): dkms
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch:	noarch

%description
This package contains a DKMS-ready driver for Microdia webcams.

%prep
%setup -q -c -n %{modname}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cp -a %{modname}-%{date}/* %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}

cat > %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/.config <<EOF
CONFIG_SN9C20X=m
CONFIG_SN9C20X_DEBUGFS=y
CONFIG_SN9C20X_EVDEV=y
EOF

cat > %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{modname}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"
BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/drivers/media/video/usbvideo"
REMAKE_INITRD="no"
AUTOINSTALL="YES"
EOF

%post
#if [ $1 == 1 ]
#then 
  dkms add -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms build -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms install -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
#fi


%preun
#if [ $1 == 0 ]
#then
  dkms remove -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all
#fi

%clean
rm -rf %buildroot

%files
%defattr(-,root,root) 
%{_usrsrc}/%{modname}-%{version}-%{release}

%changelog
* Wed Mar 30 2010 Texstar <texstar at gmail.com> 20100330-1pclos2010
- import into pclos 2010

